CVE-2021-21404

NameCVE-2021-21404
DescriptionSyncthing is a continuous file synchronization program. In Syncthing before version 1.15.0, the relay server `strelaysrv` can be caused to crash and exit by sending a relay message with a negative length field. Similarly, Syncthing itself can crash for the same reason if given a malformed message from a malicious relay server when attempting to join the relay. Relay joins are essentially random (from a subset of low latency relays) and Syncthing will by default restart when crashing, at which point it's likely to pick another non-malicious relay. This flaw is fixed in version 1.15.0.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs986593

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
syncthing (PTS)stretch0.14.18+dfsg1-2vulnerable
buster1.0.0~ds1-1vulnerable
sid, bullseye1.12.1~ds1-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
syncthingsource(unstable)1.12.1~ds1-3986593

Notes

[buster] - syncthing <no-dsa> (Minor issue)
[stretch] - syncthing <postponed> (Minor issue; can be fixed in next update)
https://github.com/syncthing/syncthing/security/advisories/GHSA-x462-89pf-6r5h
https://github.com/syncthing/syncthing/commit/fb4fdaf4c0a79c22cad000c42ac1394e3ccb6a97

Search for package or bug name: Reporting problems